package com.sooka.system.service.impl;

import java.util.List;

import com.sooka.common.core.text.Convert;
import com.sooka.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.sooka.system.mapper.TGuijiHousingconstructionZlskfrxMapper;
import com.sooka.system.domain.TGuijiHousingconstructionZlskfrx;
import com.sooka.system.service.ITGuijiHousingconstructionZlskfrxService;

/**
 * 自来水客服热线Service业务层处理
 *
 * @author lei
 * @date 2021-11-05
 */
@Service
public class TGuijiHousingconstructionZlskfrxServiceImpl extends Guiji_Base_Service implements ITGuijiHousingconstructionZlskfrxService {
    @Autowired
    private TGuijiHousingconstructionZlskfrxMapper tGuijiHousingconstructionZlskfrxMapper;

    /**
     * 查询自来水客服热线
     *
     * @param id 自来水客服热线ID
     * @return 自来水客服热线
     */
    @Override
    public TGuijiHousingconstructionZlskfrx selectTGuijiHousingconstructionZlskfrxById(String id) {
        return tGuijiHousingconstructionZlskfrxMapper.selectTGuijiHousingconstructionZlskfrxById(id);
    }

    /**
     * 查询自来水客服热线列表
     *
     * @param tGuijiHousingconstructionZlskfrx 自来水客服热线
     * @return 自来水客服热线
     */
    @Override
    public List<TGuijiHousingconstructionZlskfrx> selectTGuijiHousingconstructionZlskfrxList(TGuijiHousingconstructionZlskfrx tGuijiHousingconstructionZlskfrx) {
        List ls = tGuijiHousingconstructionZlskfrxMapper.selectTGuijiHousingconstructionZlskfrxList(tGuijiHousingconstructionZlskfrx);

        tGuijiHousingconstructionZlskfrx.setInterfaceinfoId("d6d5c861-c6f2-497a-94d3-60011d64db3e");
        tGuijiHousingconstructionZlskfrx.setInterfaceinfoName("共享-自来水公司-自来水客服热线");
        tGuijiHousingconstructionZlskfrx.setInterfacetype("platform_interfacetype_1");
        add_log(tGuijiHousingconstructionZlskfrx);

        return ls;
    }

    /**
     * 新增自来水客服热线
     *
     * @param tGuijiHousingconstructionZlskfrx 自来水客服热线
     * @return 结果
     */
    @Override
    public int insertTGuijiHousingconstructionZlskfrx(TGuijiHousingconstructionZlskfrx tGuijiHousingconstructionZlskfrx) {
        tGuijiHousingconstructionZlskfrx.setCreateTime(DateUtils.getNowDate());
        return tGuijiHousingconstructionZlskfrxMapper.insertTGuijiHousingconstructionZlskfrx(tGuijiHousingconstructionZlskfrx);
    }

    /**
     * 修改自来水客服热线
     *
     * @param tGuijiHousingconstructionZlskfrx 自来水客服热线
     * @return 结果
     */
    @Override
    public int updateTGuijiHousingconstructionZlskfrx(TGuijiHousingconstructionZlskfrx tGuijiHousingconstructionZlskfrx) {
        return tGuijiHousingconstructionZlskfrxMapper.updateTGuijiHousingconstructionZlskfrx(tGuijiHousingconstructionZlskfrx);
    }

    /**
     * 删除自来水客服热线对象
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteTGuijiHousingconstructionZlskfrxByIds(String ids) {
        return tGuijiHousingconstructionZlskfrxMapper.deleteTGuijiHousingconstructionZlskfrxByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除自来水客服热线信息
     *
     * @param id 自来水客服热线ID
     * @return 结果
     */
    @Override
    public int deleteTGuijiHousingconstructionZlskfrxById(String id) {
        return tGuijiHousingconstructionZlskfrxMapper.deleteTGuijiHousingconstructionZlskfrxById(id);
    }
}
